**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/18.1/configuration-migration/import-package.md

# Import Package



<Endpoint path="/api/{version}/services/package" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-F "file=my_package.vpk" \
https://myvault.veevavault.com/api/v16.0/services/package

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
 "responseStatus": "SUCCESS",
  "responseMessage": "Package with name [PKG-0001] already exists, it is renamed to [PKG-0001-2].",
  "vaultPackage": {
    "id": "0PI000000000703",
    "name": "PKG-0001-2",
    "status": "Active",
    "components": [
      {
        "id": "0VP000000000705",
        "name": "User Role Setup",
        "status": "Verified",
        "step": "00010",
        "stepId": "0IS000000000405",
        "componentName": "user_role_setup__v",
        "componentType": "Object"
      }
    ],
    "renamed": true,
    "oldName": "PKG-0001"
  }
}

```
</CodeExample>

---

**Previous:** [Export Package](/safety/vault-api/api-reference/18.1/configuration-migration/export-package)  
**Next:** [Deploy Package](/safety/vault-api/api-reference/18.1/configuration-migration/deploy-package)